> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finvera.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Ratings



## OpenAPI

````yaml get /api/v1/ratings
openapi: 3.0.0
info:
  title: Analyst Ratings
  version: 1.0.0
servers:
  - url: https://api.finvera.news/rating
security: []
paths:
  /api/v1/ratings:
    get:
      tags:
        - default
      summary: Fetch Ratings
      parameters:
        - name: id
          in: query
          description: Rating ID, example - 1781435782
          schema:
            type: string
        - name: exchange
          in: query
          schema:
            type: string
          description: filter by exchange, example - NYSE
        - name: company
          in: query
          schema:
            type: string
          description: filter by company, example - Cloudflare
        - name: firm
          in: query
          schema:
            type: string
          description: filter by firm name, example - rbccapital
        - name: symbol
          in: query
          schema:
            type: string
          description: filter by symbol, example - NET
        - name: from
          in: query
          schema:
            type: string
          description: from date, format YYYY-MM-DD HH:MM:SS
        - name: to
          in: query
          schema:
            type: string
          description: to date, format YYYY-MM-DD HH:MM:SS
        - name: page
          in: query
          schema:
            type: string
          description: page number, default:1
        - name: page_size
          in: query
          schema:
            type: string
          description: size of page, default:10
      responses:
        '200':
          description: OK
          headers:
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Content-Type:
              schema:
                type: string
                example: application/json
            Vary:
              schema:
                type: string
                example: Accept-Encoding
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Request-Id:
              schema:
                type: string
                example: QSnBKbyDxeTAvqiShhaVcwRrQlFXLhcQ
            X-Xss-Protection:
              schema:
                type: string
                example: 1; mode=block
            Date:
              schema:
                type: string
                example: Fri, 14 Mar 2025 14:05:24 GMT
            Content-Length:
              schema:
                type: integer
                example: '734'
          content:
            application/json:
              schema:
                type: object
              example:
                data:
                  - id: 414353025
                    firm: pipersandler
                    ticker: XPOF
                    exchange: unknown
                    company: Xponential Fitness Inc
                    action: Downgrades
                    rating: None
                    price_target: '9.00'
                    story: >-
                      {"XPONENTIAL FITNESS INC <XPOF.N>: PIPER SANDLER CUTS
                      TARGET PRICE TO $9 FROM $16"}
                    is_rating: true
                    created_at: '2025-03-14T04:19:07.312874Z'
                    updated_at: '2025-03-14T04:19:07.312877Z'
                  - id: 901957700
                    firm: stifel
                    ticker: XPOF
                    exchange: unknown
                    company: Xponential Fitness Inc
                    action: Downgrades
                    rating: Hold
                    price_target: '12.00'
                    story: >-
                      {"XPONENTIAL FITNESS INC <XPOF.N>: STIFEL CUTS TO HOLD
                      FROM BUY; CUTS TARGET PRICE TO $12 FROM $20"}
                    is_rating: true
                    created_at: '2025-03-14T04:19:07.311919Z'
                    updated_at: '2025-03-14T04:19:07.311924Z'
                  - id: 1888719425
                    firm: bmocapital
                    ticker: EHMEF
                    exchange: unknown
                    company: Goeasy
                    action: Upgrades
                    rating: Outperform
                    price_target: C$200
                    story: >-
                      {"BMO Capital upgraded Goeasy to Outperform from Market
                      Perform with a price target of C$200, down from C$207.
                      Goeasy trades at trough multiples on tariff-scenario
                      earnings, effectively fully pricing-in downside risk from
                      a prolonged trade war, the analyst tells investors in a
                      research note. The firm added that the risk/reward now
                      looks highly favorable and notes the +46% return to the
                      new price target already factors in margins of safety on
                      valuation multiples and earnings."}
                    is_rating: true
                    created_at: '2025-03-14T04:19:07.291679Z'
                    updated_at: '2025-03-14T04:19:07.291682Z'
                message: ratings fetched successfully
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: query
      type: apiKey
      name: apikey

````